<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseAdditionalElements StructType
 * @subpackage Structs
 */
class JP_CruiseAdditionalElements extends AbstractStructBase
{
    /**
     * The Fees
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString4
     */
    public $Fees;
    /**
     * The Components
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruiseComponent
     */
    public $Components;
    /**
     * The Promotions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruisePromotion
     */
    public $Promotions;
    /**
     * The CruiseSupplements
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruiseSupplement
     */
    public $CruiseSupplements;
    /**
     * Constructor method for JP_CruiseAdditionalElements
     * @uses JP_CruiseAdditionalElements::setFees()
     * @uses JP_CruiseAdditionalElements::setComponents()
     * @uses JP_CruiseAdditionalElements::setPromotions()
     * @uses JP_CruiseAdditionalElements::setCruiseSupplements()
     * @param \ArrayType\ArrayOfString4 $fees
     * @param \ArrayType\ArrayOfJP_CruiseComponent $components
     * @param \ArrayType\ArrayOfJP_CruisePromotion $promotions
     * @param \ArrayType\ArrayOfJP_CruiseSupplement $cruiseSupplements
     */
    public function __construct(\ArrayType\ArrayOfString4 $fees = null, \ArrayType\ArrayOfJP_CruiseComponent $components = null, \ArrayType\ArrayOfJP_CruisePromotion $promotions = null, \ArrayType\ArrayOfJP_CruiseSupplement $cruiseSupplements = null)
    {
        $this
            ->setFees($fees)
            ->setComponents($components)
            ->setPromotions($promotions)
            ->setCruiseSupplements($cruiseSupplements);
    }
    /**
     * Get Fees value
     * @return \ArrayType\ArrayOfString4|null
     */
    public function getFees()
    {
        return $this->Fees;
    }
    /**
     * Set Fees value
     * @param \ArrayType\ArrayOfString4 $fees
     * @return \StructType\JP_CruiseAdditionalElements
     */
    public function setFees(\ArrayType\ArrayOfString4 $fees = null)
    {
        $this->Fees = $fees;
        return $this;
    }
    /**
     * Get Components value
     * @return \ArrayType\ArrayOfJP_CruiseComponent|null
     */
    public function getComponents()
    {
        return $this->Components;
    }
    /**
     * Set Components value
     * @param \ArrayType\ArrayOfJP_CruiseComponent $components
     * @return \StructType\JP_CruiseAdditionalElements
     */
    public function setComponents(\ArrayType\ArrayOfJP_CruiseComponent $components = null)
    {
        $this->Components = $components;
        return $this;
    }
    /**
     * Get Promotions value
     * @return \ArrayType\ArrayOfJP_CruisePromotion|null
     */
    public function getPromotions()
    {
        return $this->Promotions;
    }
    /**
     * Set Promotions value
     * @param \ArrayType\ArrayOfJP_CruisePromotion $promotions
     * @return \StructType\JP_CruiseAdditionalElements
     */
    public function setPromotions(\ArrayType\ArrayOfJP_CruisePromotion $promotions = null)
    {
        $this->Promotions = $promotions;
        return $this;
    }
    /**
     * Get CruiseSupplements value
     * @return \ArrayType\ArrayOfJP_CruiseSupplement|null
     */
    public function getCruiseSupplements()
    {
        return $this->CruiseSupplements;
    }
    /**
     * Set CruiseSupplements value
     * @param \ArrayType\ArrayOfJP_CruiseSupplement $cruiseSupplements
     * @return \StructType\JP_CruiseAdditionalElements
     */
    public function setCruiseSupplements(\ArrayType\ArrayOfJP_CruiseSupplement $cruiseSupplements = null)
    {
        $this->CruiseSupplements = $cruiseSupplements;
        return $this;
    }
}
